POST /v1/seo/pages/bulk-upsert
Bulk upsert SEO integration pages (used by CI/CD build script)

Request Body required

Pages to upsert

application/json
One of:
Option 1
Option 2
pages object[] REQUIRED
Array of:
appSlugs string[]
Array of:
contentStatus string
createdAt string
Timestamps.
faqs object[]
Array of:
answer string
question string
heroDescription string
AI-generated content.
id string
integrationStatus string
Status tracking.
isPublished boolean
keywords string[]
Array of:
metaDescription string
pageType string
requestCount integer
slug string
title string
SEO metadata.
updatedAt string
useCases object[]
Array of:
description string
title string

Responses

200 OK
application/json
code integer
data object
totalReceived integer
upsertedCount integer
message string
requestId string
400 Bad Request
500 Internal Server Error
curl -X POST 'https://api.example.com/v1/seo/pages/bulk-upsert' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/seo/pages/bulk-upsert', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/seo/pages/bulk-upsert', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/seo/pages/bulk-upsert", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "totalReceived": 123,    "upsertedCount": 123  },  "message": "success",  "requestId": "abc-123"}